const r = (o, e) => {
  if (!o)
    return !1;
  if (!e || e.length === 0)
    return !0;
  const t = {
    top: !1,
    right: !1,
    bottom: !1,
    left: !1,
    topRight: !1,
    bottomRight: !1,
    bottomLeft: !1,
    topLeft: !1
  };
  return e.forEach((i) => {
    switch (i) {
      case "n":
        t.top = !0;
        break;
      case "e":
        t.right = !0;
        break;
      case "s":
        t.bottom = !0;
        break;
      case "w":
        t.left = !0;
        break;
      case "ne":
        t.topRight = !0;
        break;
      case "se":
        t.bottomRight = !0;
        break;
      case "sw":
        t.bottomLeft = !0;
        break;
      case "nw":
        t.topLeft = !0;
        break;
    }
  }), t;
}, a = () => ({
  // Keep resize handlers inside the shell so they do not create artificial overflow.
  bottom: { bottom: "0px", zIndex: 1, height: "5px" },
  right: { right: "0px", zIndex: 1, width: "5px" },
  top: { top: "0px", zIndex: 1, height: "5px" },
  left: { left: "0px", zIndex: 1, width: "5px" },
  bottomRight: { bottom: "0px", right: "0px", zIndex: 1 },
  bottomLeft: { bottom: "0px", left: "0px", zIndex: 1 },
  topRight: { top: "0px", right: "0px", zIndex: 1 },
  topLeft: { top: "0px", left: "0px", zIndex: 1 }
}), s = () => ({
  left: "resize-handle-left",
  right: "resize-handle-right",
  top: "resize-handle-top",
  bottom: "resize-handle-bottom",
  bottomRight: "resize-handle-bottom-right",
  bottomLeft: "resize-handle-bottom-left",
  topRight: "resize-handle-top-right",
  topLeft: "resize-handle-top-left"
});
export {
  s as buildDefaultResizeHandleClasses,
  a as buildDefaultResizeHandleStyles,
  r as buildEnableResizing
};
